<template>
  <div class="wrapper">

    <div class="header">

      <router-link :to="{ name: 'main' }">
        <div
          :style="`background-image: url(${require('@/assets/img/arrow-back.svg')})`"
          class="arrow-back-button"
        ></div>
      </router-link>
      
      Адрес доставки

      <router-link :to="{ name: 'add-address' }">
        <div class="add-button">+</div>
      </router-link>
      
    </div>
    
    <div v-if="$store.state.tips.chooseAddress" class="tip">
      Выберите адрес доставки, чтобы найти ближайший магазин
      <div 
        @click="$store.commit('SET_TIP_STATUS', { tip: 'chooseAddress', status: false })" 
        :style="`background-image: url(${require('@/assets/img/cross.svg')})`" 
        class="cross-icon"
      >
      </div>
    </div>

    <div v-for="address in addresses" :key="address.address_id" @click="CHOOSE_MAIN_ADDRESS({ data: address })" class="address">
      {{ address.description }}, {{ address.name }}
      <span v-if="address.is_main">Гл. адрес</span>
      <div @click.stop="DELETE_ADDRESS({ id: address.address_id })" style="width: 20px; height: 20px; position: absolute; right: 40px; color: red;">X</div>
    </div>
    
  </div>
</template>

<script>
import {createRipple} from "@/utils/animations.js";
import { mapGetters, mapActions } from 'vuex';

export default {

  methods: {
    ...mapActions(['DELETE_ADDRESS', 'CHOOSE_MAIN_ADDRESS']),
    createRipple,

  },
  computed: {
    ...mapGetters(['addresses']),

  }
}
</script>

<style scoped>
.wrapper {
  position: fixed;
  overflow-y: auto;
  z-index: 2;
  text-align: left;
  background-color: white;
  left: 0;
  right: 0;
  bottom: 0;
  top: 0;
}

.header {
  text-align: center; 
  padding: 57px 10px 25px 10px;
  background-color: #f5f5f5;
  position: sticky;
  top: 0;
}

.arrow-back-button {
  position: absolute;
  left: 12px;
  top: 45px;
  cursor: pointer;
  box-sizing: border-box;
  padding: 20px;
  background-repeat: no-repeat;
  background-position: center;
}

.add-button {
  font-size: 20px;
  position: absolute;
  right: 12px;
  top: 40px;
  cursor: pointer;
  text-align: center;
  box-sizing: border-box;
  padding: 15px 20px;
}

.cross-icon {
  position: absolute;
  top: calc(50% - 20px);
  right: 15px;
  width: 40px;
  height: 40px;
  background-repeat: no-repeat;
  background-position: center;
}

.tip {
  position: relative; 
  background-color: #83acea;
  color: white; 
  border-bottom: 1px solid #f5eaea; 
  padding: 20px 80px 20px 20px;
}

.address {
  padding: 20px 20px; 
  border-bottom: 1px solid #fcf2f2; 
  position: relative;
}
</style>